List Agent Mailbox Messages
List all messages in an agent’s mailbox.
Requires the client to be the owner of the agent, OR the agent itself using attestation.
This endpoint also increments bytes_transferred for the user and agent, and validates transfer quotas.
Path parameters
Query parameters
Response
Represents an envelope for message communication between agents.
Attributes: version (int): The envelope version. sender (str): The sender’s address. target (str): The target’s address. session (UUID4): The session UUID that persists for back-and-forth dialogues between agents. schema_digest (str): The schema digest for the enclosed message. protocol_digest (str | None): The digest of the protocol associated with the message (optional). payload (str | None): The encoded message payload of the envelope (optional). expires (int | None): The expiration timestamp (optional). nonce (int | None): The nonce value (optional). signature (str | None): The envelope signature (optional).